> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Workflow

> Retrieve a specific workflow by its ID.



## OpenAPI

````yaml get /apps/{app_id}/workflows/{workflow_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/workflows/{workflow_id}:
    get:
      summary: Get a Workflow
      description: Retrieve a specific workflow by its ID.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the workflow
          name: workflow_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowSchema'
components:
  schemas:
    WorkflowSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the workflow
        name:
          type: string
          description: Name of the workflow
        description:
          type: string
          nullable: true
          description: Description of the workflow
        app:
          $ref: '#/components/schemas/AppPublicSchema'
        version:
          type: object
          nullable: true
          properties:
            id:
              type: string
              description: Unique identifier for the workflow version
            app_id:
              type: string
              description: App id where the workflow version belongs to
            workflow_id:
              type: string
              description: Workflow id where the version belongs to
            description:
              type: string
              nullable: true
              description: >-
                Description of the workflow at the time this version was
                deployed
            version:
              type: number
              description: Version number
            rollback_version:
              type: number
              description: Version number from which this version was rolled back
            notes:
              type: string
              nullable: true
              description: Release notes
            created_by:
              $ref: '#/components/schemas/UserPublicSchema'
            created_at:
              type: string
              nullable: true
              description: Date when the version was deployed
              format: date
            key:
              type: string
              description: Unique key for the workflow version
            input:
              allOf:
                - $ref: '#/components/schemas/InputDefinitionSchema'
                - description: Input definition of the workflow
            input_default:
              $ref: '#/components/schemas/InputValuesSchema'
            input_options:
              $ref: '#/components/schemas/InputOptionsSchema'
            steps:
              type: array
              items:
                $ref: '#/components/schemas/StepSchema'
              description: Steps of the workflow at the time this version was deployed
          required:
            - id
            - app_id
            - workflow_id
            - description
            - version
            - notes
            - created_at
            - key
            - input
            - input_default
            - input_options
            - steps
          description: Current version of the workflow
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSchema'
          description: Tags associated with the workflow
        tests_stats:
          $ref: '#/components/schemas/WorkflowTestStatsSchema'
        template_id:
          type: string
          nullable: true
          description: Unique identifier for the template
        runs_count:
          type: number
          description: Number of runs of the workflow
          example: 0
        retention:
          $ref: '#/components/schemas/WorkflowRunDataRetentionConfigSchema'
        enabled:
          type: boolean
          description: Indicates if the workflow is enabled
          example: true
        deleted:
          type: boolean
          description: Indicates if the workflow is deleted
          example: false
        created_at:
          type: string
          nullable: true
          description: Creation date of the workflow
          format: date
        updated_at:
          type: string
          nullable: true
          description: Last update date of the workflow
          format: date
        key:
          type: string
          description: Unique key for the workflow version
        input:
          allOf:
            - $ref: '#/components/schemas/InputDefinitionSchema'
            - description: Input definition of the workflow
        input_default:
          $ref: '#/components/schemas/InputValuesSchema'
        input_options:
          $ref: '#/components/schemas/InputOptionsSchema'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/StepSchema'
          description: Steps of the workflow at the time this version was deployed
      required:
        - id
        - name
        - description
        - app
        - version
        - tags
        - template_id
        - runs_count
        - retention
        - enabled
        - deleted
        - created_at
        - updated_at
        - key
        - input
        - input_default
        - input_options
        - steps
      description: Detailed information about a workflow
    AppPublicSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the app
        name:
          type: string
          description: Name of the app
        verified:
          type: boolean
          description: Verification status of the app
      required:
        - id
        - name
        - verified
      description: Associated app with the workflow
    UserPublicSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
      required:
        - id
        - name
      description: User who deployed the version
    InputDefinitionSchema:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/InputSchema'
      description: The definition of the input fields
    InputValuesSchema:
      type: object
      nullable: true
      additionalProperties:
        nullable: true
      description: Default config input values of the workflow
    InputOptionsSchema:
      type: object
      nullable: true
      properties:
        display:
          $ref: '#/components/schemas/InputOptionsDisplaySchema'
      description: Input options of the workflow
    StepSchema:
      oneOf:
        - $ref: '#/components/schemas/StepNoteSchema'
        - $ref: '#/components/schemas/StepInputSchema'
        - $ref: '#/components/schemas/StepBranchSchema'
        - $ref: '#/components/schemas/StepCodeSchema'
        - $ref: '#/components/schemas/StepModelSchema'
        - $ref: '#/components/schemas/StepHttpRequestSchema'
        - $ref: '#/components/schemas/StepBrowserSchema'
        - $ref: '#/components/schemas/StepWorkflowSchema'
        - $ref: '#/components/schemas/StepServiceSchema'
      discriminator:
        propertyName: type
        mapping:
          note: '#/components/schemas/StepNoteSchema'
          input: '#/components/schemas/StepInputSchema'
          branch: '#/components/schemas/StepBranchSchema'
          code: '#/components/schemas/StepCodeSchema'
          model: '#/components/schemas/StepModelSchema'
          http_request: '#/components/schemas/StepHttpRequestSchema'
          browser: '#/components/schemas/StepBrowserSchema'
          workflow: '#/components/schemas/StepWorkflowSchema'
          service: '#/components/schemas/StepServiceSchema'
    TagSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the tag
        name:
          type: string
          description: Name of the tag
        color:
          type: string
          nullable: true
          description: Color associated with the tag
        app_id:
          type: string
          description: Identifier for the associated app
        created_at:
          type: string
          nullable: true
          description: Timestamp when the tag was created
          format: date
        updated_at:
          type: string
          nullable: true
          description: Timestamp when the tag was last updated
          format: date
      required:
        - id
        - name
        - color
        - app_id
        - created_at
        - updated_at
      description: >-
        Detailed information about an app tag (which can be attached to records,
        workflows, etc.)
    WorkflowTestStatsSchema:
      type: object
      nullable: true
      properties:
        total_count:
          type: number
          description: Total number of workflow tests
        running_count:
          type: number
          description: Number of running workflow tests
        cancelled_count:
          type: number
          description: Number of cancelled workflow tests
        passing_count:
          type: number
          description: Number of passing workflow tests
        failing_count:
          type: number
          description: Number of failing workflow tests
        expectations_failing_count:
          type: number
          description: Number of expectations failing in workflow tests
        expectations_passing_count:
          type: number
          description: Number of expectations passing in workflow tests
      required:
        - total_count
        - running_count
        - cancelled_count
        - passing_count
        - failing_count
        - expectations_failing_count
        - expectations_passing_count
      description: Statistics of the workflow tests
    WorkflowRunDataRetentionConfigSchema:
      type: object
      nullable: true
      properties:
        max_age_in_seconds:
          type: number
          minimum: -1
          maximum: 157680000
          description: >-
            Maximum time in seconds to retain run data after completion, -1
            means no limit (keep indefinitely)
        preserve_on_failure:
          type: boolean
          description: >-
            Whether to preserve run data beyond the standard retention period if
            it fails
          example: true
      required:
        - max_age_in_seconds
      description: Data retention policy for the run
      example:
        max_age_in_seconds: 3600
        preserve_on_failure: true
    InputSchema:
      oneOf:
        - $ref: '#/components/schemas/FieldFileSchema'
        - $ref: '#/components/schemas/FieldNumberSchema'
        - $ref: '#/components/schemas/FieldStringSchema'
        - $ref: '#/components/schemas/FieldBooleanSchema'
        - $ref: '#/components/schemas/FieldDateSchema'
        - $ref: '#/components/schemas/FieldDateTimeSchema'
        - $ref: '#/components/schemas/FieldTimeSchema'
        - $ref: '#/components/schemas/FieldSelectSchema'
        - $ref: '#/components/schemas/FieldContentSchema'
        - $ref: '#/components/schemas/FieldConnectionSchema'
        - $ref: '#/components/schemas/FieldObjectSchema'
      discriminator:
        propertyName: type
        mapping:
          file: '#/components/schemas/FieldFileSchema'
          number: '#/components/schemas/FieldNumberSchema'
          string: '#/components/schemas/FieldStringSchema'
          boolean: '#/components/schemas/FieldBooleanSchema'
          date: '#/components/schemas/FieldDateSchema'
          datetime: '#/components/schemas/FieldDateTimeSchema'
          time: '#/components/schemas/FieldTimeSchema'
          select: '#/components/schemas/FieldSelectSchema'
          content: '#/components/schemas/FieldContentSchema'
          connection: '#/components/schemas/FieldConnectionSchema'
          object: '#/components/schemas/FieldObjectSchema'
    InputOptionsDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/InputFieldLayoutSchema'
        container:
          $ref: '#/components/schemas/InputContainerSchema'
        hidden:
          type: boolean
          description: Indicates whether the input field is hidden from the UI
      description: Display options for the input fields
    StepNoteSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - note
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        note:
          type: string
          description: The note content (markdown supported)
      required:
        - type
        - key
        - note
      description: A step that displays as a note on the canvas
    StepInputSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - input
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        input:
          $ref: '#/components/schemas/InputDefinitionSchema'
        webhook:
          $ref: '#/components/schemas/StepWebhookConfigSchema'
      required:
        - type
        - key
        - input
      description: A step that provides input values for the workflow
    StepBranchSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - branch
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        conditions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/StepBranchConditionSchema'
        else:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: >-
            The step keys that the branch should connect to if none of the
            conditions are met
      required:
        - type
        - key
        - conditions
      description: A step that allows branching based on one or more conditions
    StepCodeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - code
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        code:
          type: string
          description: The code to be executed in this step
      required:
        - type
        - key
        - code
      description: A step that executes a code block
    StepModelSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - model
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        provider:
          $ref: '#/components/schemas/ModelProviderSchema'
      required:
        - type
        - key
        - provider
      description: A step that configures and runs a machine learning model
    StepHttpRequestSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - http_request
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        url:
          type: string
          description: The URL for the HTTP request, e.g. https://example.com
        method:
          type: string
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
          description: HTTP method
        headers:
          anyOf:
            - type: string
            - type: object
              additionalProperties:
                type: string
          description: Headers to include in the HTTP request as JSON key-value pairs
        body:
          type: string
          description: The body string of the HTTP request (E.g. JSON string)
      required:
        - type
        - key
        - url
      description: A step that makes an HTTP request
    StepBrowserSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - browser
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        url:
          type: string
          description: The URL to be scraped, e.g. https://example.com
        strip_html:
          type: boolean
          description: Whether to strip HTML from the page content
        wait_for_selector:
          type: string
          description: A CSS selector to wait for before proceeding
      required:
        - type
        - key
        - url
      description: A step that interacts with a browser
    StepWorkflowSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - workflow
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        input:
          $ref: '#/components/schemas/WorkflowInputValuesSchema'
        step_key:
          type: string
          nullable: true
          description: The key of the input step to run
        workflow_id:
          type: string
          description: The ID of the associated workflow
        workflow_version_id:
          $ref: '#/components/schemas/WorkflowVersionIdSchema'
      required:
        - type
        - key
        - input
    StepServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - service
          description: The type of the step
        key:
          $ref: '#/components/schemas/StepKeySchema'
        display:
          $ref: '#/components/schemas/StepDisplaySchema'
        conditional:
          type: string
          description: A condition to determine if the step should run
        loop:
          type: string
          description: >-
            A loop condition for the step to repeat running until the condition
            is met
        throw_on_error:
          type: boolean
          description: Whether to throw an error if the step fails
        input_connected:
          type: boolean
          description: Whether the step is connected to the input
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this step connects to
        position:
          type: array
          items:
            type: number
          minItems: 2
          maxItems: 2
          description: The position of the step on the canvas
        size:
          type: array
          items:
            anyOf:
              - type: number
                minimum: 100
              - type: number
                minimum: 0
          minItems: 2
          maxItems: 2
          description: The size of the step on the canvas
        auto:
          $ref: '#/components/schemas/StepAutoConfigSchema'
        service:
          $ref: '#/components/schemas/ServiceSchema'
      required:
        - type
        - key
        - service
      description: >-
        A step that runs a service integration, like a file upload or a
        third-party service
    FieldFileSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - file
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/FieldFileDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        allowed_types:
          type: array
          items:
            type: string
          description: >-
            Allowed mime types for the file field (e.g. image/*,
            application/pdf)
        extract_contents:
          type: boolean
          description: Flag to extract contents from the file
        extract_images:
          type: boolean
          description: Flag to extract images from the file
        visibility:
          $ref: '#/components/schemas/AppFileVisibilitySchema'
      required:
        - type
      description: The file type allows users to upload files
    FieldNumberSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        default:
          type: number
          description: The default value of the number field
        list:
          $ref: '#/components/schemas/InputListSchema'
      required:
        - type
      description: The number field allows users to input numbers
    FieldStringSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/FieldStringDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        default:
          type: string
          description: The default value of the string field
        validation:
          type: string
          enum:
            - url
          description: The validation type for the input field
        list:
          $ref: '#/components/schemas/InputListSchema'
      required:
        - type
      description: The string field allows users to input text
    FieldBooleanSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        default:
          type: boolean
          description: The default value of the boolean field
      required:
        - type
      description: The boolean field allows users mark a field as true or false
    FieldDateSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
      required:
        - type
      description: The date field allows users to select a date
    FieldDateTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - datetime
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
      required:
        - type
      description: The date and time field allows users to select a date and time
    FieldTimeSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - time
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
      required:
        - type
      description: The time field allows users to select a time
    FieldSelectSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - select
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/FieldSelectDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        default:
          type: string
          description: The default value of the select field
        options:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectOptionSchema'
          minItems: 1
          description: The options for the select field (min 1)
        list:
          $ref: '#/components/schemas/InputListSchema'
        allowed_modes:
          type: array
          items:
            $ref: '#/components/schemas/FieldSelectorModeSchema'
        additional_options:
          type: boolean
          description: Indicates whether additional unlisted options are allowed
      required:
        - type
        - options
      description: The select field used to select from a list of options
    FieldContentSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - content
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        content:
          type: string
          description: Any markdown content
      required:
        - type
      description: The content field used to display markdown content
    FieldConnectionSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - connection
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        allowed_types:
          $ref: '#/components/schemas/FieldConnectionTypesSchema'
      required:
        - type
      description: The connection field used to select a connection
    FieldObjectSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - object
          description: The type of the input field
        name:
          type: string
          maxLength: 1024
          description: The name of the input field
        desc:
          type: string
          maxLength: 10240
          description: The description of the input field
        optional:
          type: boolean
          description: Indicates whether the input field is optional
        array:
          type: boolean
          description: Indicates whether the input field can contain multiple values
        placeholder:
          type: string
          maxLength: 512
          description: The placeholder of the input field
        display:
          $ref: '#/components/schemas/InputDisplaySchema'
        order:
          type: number
          minimum: 0
          description: The order of the input field relative to other fields in the form
        config:
          type: boolean
          description: >-
            Whether to make the field a configuration field (only visible in the
            configuration tab)
        link:
          type: string
          description: The link to the documentation for the input field
        metadata:
          type: object
          properties: {}
          description: Additional metadata for the input field
        fields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/InputSchema'
          description: >-
            A record of fields that can be of various types including object
            fields
        additional_fields:
          anyOf:
            - $ref: '#/components/schemas/InputListSchema'
            - type: boolean
          description: Indicates whether additional fields are allowed
      required:
        - type
        - fields
      description: The object field that can contain other fields, including nested objects
    InputFieldLayoutSchema:
      type: string
      enum:
        - inline
        - stacked
      description: Controls how the label and input field are arranged (inline or stacked)
    InputContainerSchema:
      type: string
      enum:
        - grid
        - full
        - center
      description: >-
        Controls how the field container behaves in terms of width and
        positioning
    StepKeySchema:
      type: string
      minLength: 1
      maxLength: 128
      description: A unique key for the step
    StepDisplaySchema:
      type: string
      enum:
        - expanded
        - collapsed
        - minimal
      description: Display mode of the step
    StepAutoConfigSchema:
      type: object
      properties:
        provider:
          type: string
          description: Model provider name
        model:
          type: string
          description: Model name
        temperature:
          type: number
          minimum: 0
          maximum: 2
          description: Model temperature
      description: Auto configuration for the step
    StepWebhookConfigSchema:
      type: object
      properties:
        method:
          type: string
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
          description: HTTP method for the webhook
        path:
          type: string
          maxLength: 1024
          description: The path for the webhook, e.g. /some/path
      required:
        - method
      description: Webhook configuration for the input step
    StepBranchConditionSchema:
      type: object
      properties:
        condition:
          type: string
          description: The condition to evaluate
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/StepKeySchema'
          description: The step keys that this branch connects to
        order:
          type: number
          description: The order of the branch condition
      required:
        - destinations
        - order
      description: A condition to evaluate for branching
    ModelProviderSchema:
      type: object
      properties:
        provider:
          type: string
          description: Provider name
        model:
          type: string
          description: Model name
        messages:
          anyOf:
            - $ref: '#/components/schemas/ModelMessagesListSchema'
            - type: string
        temperature:
          type: number
          minimum: 0
          maximum: 2
          description: Model temperature
        response_format:
          $ref: '#/components/schemas/ModelResponseFormatSchema'
        max_tokens:
          type: number
          minimum: 0
          description: Maximum tokens to generate
        tools:
          type: array
          items:
            anyOf:
              - type: string
              - $ref: '#/components/schemas/ModelToolSchema'
          description: List of tools to call
        tools_parallel:
          type: boolean
          description: Whether to call tools in parallel
        tools_mode:
          $ref: '#/components/schemas/ModelToolsModeSchema'
        max_iterations:
          type: number
          minimum: 1
          maximum: 512
          description: >-
            Maximum number of iterations for the model when using tools or
            reasoning
        features:
          $ref: '#/components/schemas/ModelFeaturesSchema'
      required:
        - provider
        - model
        - messages
      description: The model provider configuration
    WorkflowInputValuesSchema:
      anyOf:
        - type: object
          additionalProperties:
            nullable: true
        - type: string
        - nullable: true
      description: Input values for the workflow
    WorkflowVersionIdSchema:
      anyOf:
        - type: string
          enum:
            - draft
            - latest
        - type: string
        - type: number
      description: >-
        ID of the workflow version. Also you can use "latest", "draft" or
        "version number" to use a specific version
      example: latest
    ServiceSchema:
      anyOf:
        - $ref: '#/components/schemas/SchedulerOnScheduleActionServiceSchema'
        - $ref: '#/components/schemas/ToolsWebSearchActionServiceSchema'
        - $ref: '#/components/schemas/FilesDownloadFileActionServiceSchema'
        - $ref: '#/components/schemas/FilesUploadFileActionServiceSchema'
        - $ref: '#/components/schemas/FilesDeleteFileActionServiceSchema'
        - $ref: '#/components/schemas/FilesExtractPagesActionServiceSchema'
        - $ref: '#/components/schemas/FilesExtractContentsActionServiceSchema'
        - $ref: '#/components/schemas/FilesExtractImagesActionServiceSchema'
        - $ref: '#/components/schemas/FilesMarkdownToPdfActionServiceSchema'
        - $ref: '#/components/schemas/FilesHtmlToPdfActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsSearchActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsGetActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsCreateActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsDeleteActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsAnalyzeActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRecordsCancelActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRulesUpdateActionServiceSchema'
        - $ref: '#/components/schemas/CollectionsRulesUpdateAllActionServiceSchema'
        - $ref: >-
            #/components/schemas/GoogleSheetsOnSpreadsheetsNewRowActionServiceSchema
        - $ref: '#/components/schemas/GoogleSheetsSpreadsheetsListActionServiceSchema'
        - $ref: >-
            #/components/schemas/GoogleSheetsSpreadsheetsAppendRowActionServiceSchema
        - $ref: '#/components/schemas/GoogleSheetsWorksheetsListActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveOnNewFileActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesSearchActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesGetActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesUploadActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesDownloadActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesMoveActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesCopyActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesUpdateActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFilesTrashActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFoldersSearchActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFoldersCreateActionServiceSchema'
        - $ref: '#/components/schemas/GoogleDriveFoldersTrashActionServiceSchema'
        - $ref: >-
            #/components/schemas/GoogleCalendarOnCalendarNewEventActionServiceSchema
        - $ref: '#/components/schemas/GoogleCalendarCalendarsListActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarCalendarsGetActionServiceSchema'
        - $ref: >-
            #/components/schemas/GoogleCalendarCalendarsCreateActionServiceSchema
        - $ref: >-
            #/components/schemas/GoogleCalendarCalendarsUpdateActionServiceSchema
        - $ref: >-
            #/components/schemas/GoogleCalendarCalendarsDeleteActionServiceSchema
        - $ref: '#/components/schemas/GoogleCalendarCalendarsClearActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsSearchActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsGetActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsCreateActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsDeleteActionServiceSchema'
        - $ref: '#/components/schemas/GoogleCalendarEventsQuickAddActionServiceSchema'
        - $ref: '#/components/schemas/GmailOnReceivedEmailActionServiceSchema'
        - $ref: '#/components/schemas/GmailOnSentEmailActionServiceSchema'
        - $ref: '#/components/schemas/GmailEmailsSearchActionServiceSchema'
        - $ref: '#/components/schemas/GmailEmailsSendActionServiceSchema'
        - $ref: '#/components/schemas/GmailEmailsReplyActionServiceSchema'
        - $ref: '#/components/schemas/GmailEmailsGetActionServiceSchema'
        - $ref: '#/components/schemas/GmailEmailsUpdateActionServiceSchema'
        - $ref: >-
            #/components/schemas/GmailEmailsAttachmentsDownloadActionServiceSchema
        - $ref: '#/components/schemas/GmailDraftsSearchActionServiceSchema'
        - $ref: '#/components/schemas/GmailDraftsSendActionServiceSchema'
        - $ref: '#/components/schemas/GmailDraftsCreateActionServiceSchema'
        - $ref: '#/components/schemas/GmailLabelsListActionServiceSchema'
        - $ref: '#/components/schemas/GmailLabelsCreateActionServiceSchema'
        - $ref: '#/components/schemas/SlackOnChannelNewMessageActionServiceSchema'
        - $ref: '#/components/schemas/SlackChannelsMessagesListActionServiceSchema'
        - $ref: '#/components/schemas/SlackSearchActionServiceSchema'
        - $ref: '#/components/schemas/SlackChannelsSendMessageActionServiceSchema'
        - $ref: '#/components/schemas/SlackChannelsReplyMessageActionServiceSchema'
        - $ref: '#/components/schemas/NotionOnDatabasesNewRowActionServiceSchema'
        - $ref: '#/components/schemas/NotionOnDatabasesUpdatedRowActionServiceSchema'
        - $ref: '#/components/schemas/NotionSearchActionServiceSchema'
        - $ref: '#/components/schemas/NotionPagesCreateActionServiceSchema'
        - $ref: '#/components/schemas/NotionPagesGetContentActionServiceSchema'
        - $ref: '#/components/schemas/NotionPagesAddContentActionServiceSchema'
        - $ref: '#/components/schemas/NotionPagesAddCommentActionServiceSchema'
        - $ref: '#/components/schemas/NotionDatabasesSearchActionServiceSchema'
        - $ref: '#/components/schemas/NotionDatabasesAddRowActionServiceSchema'
        - $ref: '#/components/schemas/NotionDatabasesUpdateRowActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceOnContactsNewActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceOnLeadsNewActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceOnOpportunitiesNewActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceOnCasesNewActionServiceSchema'
        - $ref: >-
            #/components/schemas/SalesforceOnOpportunitiesStageChangeActionServiceSchema
        - $ref: '#/components/schemas/SalesforceLeadsGetActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceLeadsSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceLeadsCreateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceLeadsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceLeadsTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceContactsGetActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceContactsSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceContactsCreateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceContactsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceContactsTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceAccountsGetActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceAccountsSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceAccountsCreateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceAccountsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceAccountsTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceOpportunitiesGetActionServiceSchema'
        - $ref: >-
            #/components/schemas/SalesforceOpportunitiesSearchActionServiceSchema
        - $ref: >-
            #/components/schemas/SalesforceOpportunitiesCreateActionServiceSchema
        - $ref: >-
            #/components/schemas/SalesforceOpportunitiesUpdateActionServiceSchema
        - $ref: '#/components/schemas/SalesforceOpportunitiesTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCasesGetActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCasesSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCasesCreateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCasesUpdateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCasesTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCampaignsGetActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCampaignsSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCampaignsCreateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCampaignsUpdateActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceCampaignsTrashActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceFilesSearchActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceFilesUploadActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceFilesDownloadActionServiceSchema'
        - $ref: '#/components/schemas/SalesforceSoqlSearchActionServiceSchema'
        - $ref: '#/components/schemas/EncompassCasesGetActionServiceSchema'
        - $ref: '#/components/schemas/EncompassCasesUpdateActionServiceSchema'
        - $ref: '#/components/schemas/EncompassDocumentsListActionServiceSchema'
        - $ref: '#/components/schemas/EncompassDocumentsCreateActionServiceSchema'
        - $ref: '#/components/schemas/EncompassDocumentsDeleteActionServiceSchema'
        - $ref: >-
            #/components/schemas/EncompassDocumentsAttachmentsListActionServiceSchema
        - $ref: >-
            #/components/schemas/EncompassDocumentsAssignAttachmentsActionServiceSchema
        - $ref: >-
            #/components/schemas/EncompassDocumentsUnassignAttachmentsActionServiceSchema
        - $ref: '#/components/schemas/EncompassAttachmentsListActionServiceSchema'
        - $ref: '#/components/schemas/EncompassAttachmentsUploadActionServiceSchema'
        - $ref: '#/components/schemas/EncompassAttachmentsDeleteActionServiceSchema'
        - $ref: '#/components/schemas/WhatsappOnMessageStatusActionServiceSchema'
        - $ref: '#/components/schemas/WhatsappOnMessageReceivedActionServiceSchema'
        - $ref: '#/components/schemas/WhatsappMessagesSendTextActionServiceSchema'
        - $ref: '#/components/schemas/WhatsappMessagesSendTemplateActionServiceSchema'
        - $ref: >-
            #/components/schemas/WhatsappMessagesSendInteractiveActionServiceSchema
        - $ref: '#/components/schemas/WhatsappMessagesSendMediaActionServiceSchema'
        - $ref: '#/components/schemas/WhatsappMessagesMarkReadActionServiceSchema'
        - $ref: '#/components/schemas/RapidapiHttpRequestActionServiceSchema'
        - $ref: '#/components/schemas/RapidapiGetRequestActionServiceSchema'
        - $ref: '#/components/schemas/RapidapiPostRequestActionServiceSchema'
        - $ref: >-
            #/components/schemas/RapidapiDaxyEnrichContactDaxyEnrichContactActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiProByAddressActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiProByZpidActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiProByUrlActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiSearchByAddressActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiSearchByAiPromptActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiSearchByUrlActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiApartmentDetailsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiLotidFromAddressActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiPriceHistoryActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiSimilarPropertiesActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiAgentSearchActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiAgentDetailsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiZillowZillowWorkingApiHousingMarketActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiLinkedinScraperApiLinkedinScraperApiProfileDetailsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiLinkedinScraperApiLinkedinScraperApiProfilePostsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiLinkedinScraperApiLinkedinScraperApiProfileCommentsActionServiceSchema
        - $ref: '#/components/schemas/RapidapiJsearchJsearchSearchActionServiceSchema'
        - $ref: >-
            #/components/schemas/RapidapiJsearchJsearchJobDetailsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetInfoActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetPostsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetFollowersActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetFollowingActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetCommentsActionServiceSchema
        - $ref: >-
            #/components/schemas/RapidapiInstagramSocialInstagramSocialGetLikesActionServiceSchema
      description: The service configuration for the step
    FieldFileDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/InputDisplaySchema'
        - type: object
          properties:
            render:
              type: string
              enum:
                - button
                - dropzone
              description: The render type of the file field
      description: Display options for the file field
    AppFileVisibilitySchema:
      type: string
      enum:
        - PUBLIC
        - PRIVATE
      description: >-
        Whether the file is private or public, private files URLs are signed
        with a token and can be accessed temporarily
      example: PRIVATE
    InputDisplaySchema:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/InputFieldLayoutSchema'
        container:
          $ref: '#/components/schemas/InputContainerSchema'
        hidden:
          type: boolean
          description: Indicates whether the input field is hidden from the UI
      description: Display options for the input field
    InputListSchema:
      type: object
      properties:
        path:
          type: string
          description: The connection list action path used to show autocomplete options
        requires:
          type: array
          items:
            $ref: '#/components/schemas/InputFieldKeySchema'
          description: Fields that must be filled before the list can be fetched
      description: >-
        Configuration for fields that fetch their data from a remote connection
        list action
    FieldStringDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/InputDisplaySchema'
        - type: object
          properties:
            render:
              type: string
              enum:
                - text
                - textarea
                - password
              description: >-
                The render type of the string field, text is a single line
                input, textarea is a multi-line input
      description: Display options for the string field
    FieldSelectorModeSchema:
      type: string
      enum:
        - all
        - auto
        - manual
      description: >-
        Indicates the mode of the selector, auto will allow AI to determine the
        value, manual will allow the user to manually input a value
    FieldSelectDisplaySchema:
      allOf:
        - $ref: '#/components/schemas/InputDisplaySchema'
        - type: object
          properties:
            render:
              type: string
              enum:
                - dropdown
                - inline
              description: The render type of the select field
      description: Display options for the select field
    FieldSelectOptionSchema:
      type: object
      properties:
        label:
          type: string
          description: Label of the select option
        value:
          type: string
          description: Value of the select option
        description:
          type: string
          description: Description of the select option
        icon:
          type: string
          description: Icon of the selected option
      required:
        - label
        - value
      description: The select option
    FieldConnectionTypesSchema:
      type: string
      enum:
        - SCHEDULER
        - TOOLS
        - FILES
        - COLLECTIONS
        - OAUTH
        - GOOGLE_SHEETS
        - GOOGLE_CALENDAR
        - GMAIL
        - GOOGLE_DRIVE
        - SLACK
        - ENCOMPASS
        - PERSONA
        - NOTION
        - SALESFORCE
        - WHATSAPP
        - RAPIDAPI
        - RAPIDAPI_DAXY_ENRICH_CONTACT
        - RAPIDAPI_ZILLOW
        - RAPIDAPI_FRESH_LINKEDIN_PROFILE
        - RAPIDAPI_LINKEDIN_SCRAPER_API
        - RAPIDAPI_JSEARCH
        - RAPIDAPI_INSTAGRAM_SOCIAL
        - OPENAI
        - ANTHROPIC
        - GOOGLE_AI
        - XAI
        - AZURE_AI
        - OPENROUTER
        - GROQ
      description: Allowed connection types, if not provided all are allowed
      example: SLACK
    ModelMessagesListSchema:
      type: array
      items:
        $ref: '#/components/schemas/ModelMessageSchema'
      description: List of model messages
    ModelResponseFormatSchema:
      type: string
      enum:
        - text
        - json
      description: Response format
    ModelToolSchema:
      type: object
      properties:
        name:
          type: string
          description: >-
            Name of the tool to called, can be a step key or an external name
            prefixed with `external:`
        description:
          type: string
          description: Description of the tool
        input:
          allOf:
            - $ref: '#/components/schemas/InputDefinitionSchema'
            - description: Input definition for the tool
      required:
        - name
    ModelToolsModeSchema:
      type: string
      enum:
        - auto
        - required
        - none
      description: >-
        Controls which (if any) tool is called by the model. `none` means the
        model will not call any tool and instead generates a message. `auto`
        means the model can pick between generating a message or calling one or
        more tools. `required` means the model must call one or more tools.
    ModelFeaturesSchema:
      type: object
      properties:
        web_search:
          type: object
          properties: {}
      description: Model features
    SchedulerOnScheduleActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - SCHEDULER
          description: The type of the service
        action:
          type: string
          enum:
            - ON_SCHEDULE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/SchedulerOnScheduleActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The ON_SCHEDULE service
    ToolsWebSearchActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - TOOLS
          description: The type of the service
        action:
          type: string
          enum:
            - WEB_SEARCH
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/ToolsWebSearchActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The WEB_SEARCH service
    FilesDownloadFileActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - DOWNLOAD_FILE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesDownloadFileActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The DOWNLOAD_FILE service
    FilesUploadFileActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - UPLOAD_FILE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesUploadFileActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The UPLOAD_FILE service
    FilesDeleteFileActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - DELETE_FILE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesDeleteFileActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The DELETE_FILE service
    FilesExtractPagesActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - EXTRACT_PAGES
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesExtractPagesActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The EXTRACT_PAGES service
    FilesExtractContentsActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - EXTRACT_CONTENTS
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/FilesExtractContentsActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The EXTRACT_CONTENTS service
    FilesExtractImagesActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - EXTRACT_IMAGES
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesExtractImagesActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The EXTRACT_IMAGES service
    FilesMarkdownToPdfActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - MARKDOWN_TO_PDF
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesMarkdownToPdfActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The MARKDOWN_TO_PDF service
    FilesHtmlToPdfActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - FILES
          description: The type of the service
        action:
          type: string
          enum:
            - HTML_TO_PDF
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/FilesHtmlToPdfActionServiceInputSchema'
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The HTML_TO_PDF service
    CollectionsRecordsSearchActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_SEARCH
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsSearchActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_SEARCH service
    CollectionsRecordsGetActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_GET
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsGetActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_GET service
    CollectionsRecordsCreateActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_CREATE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsCreateActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_CREATE service
    CollectionsRecordsUpdateActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_UPDATE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsUpdateActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_UPDATE service
    CollectionsRecordsDeleteActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_DELETE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsDeleteActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_DELETE service
    CollectionsRecordsAnalyzeActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_ANALYZE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsAnalyzeActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_ANALYZE service
    CollectionsRecordsCancelActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RECORDS_CANCEL
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRecordsCancelActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RECORDS_CANCEL service
    CollectionsRulesUpdateActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RULES_UPDATE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRulesUpdateActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RULES_UPDATE service
    CollectionsRulesUpdateAllActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - COLLECTIONS
          description: The type of the service
        action:
          type: string
          enum:
            - RULES_UPDATE_ALL
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/CollectionsRulesUpdateAllActionServiceInputSchema
            - type: string
              description: The input string template
      required:
        - type
        - action
        - input
      description: The RULES_UPDATE_ALL service
    GoogleSheetsOnSpreadsheetsNewRowActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_SHEETS
          description: The type of the service
        action:
          type: string
          enum:
            - ON_SPREADSHEETS_NEW_ROW
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleSheetsOnSpreadsheetsNewRowActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The ON_SPREADSHEETS_NEW_ROW service
    GoogleSheetsSpreadsheetsListActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_SHEETS
          description: The type of the service
        action:
          type: string
          enum:
            - SPREADSHEETS_LIST
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleSheetsSpreadsheetsListActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The SPREADSHEETS_LIST service
    GoogleSheetsSpreadsheetsAppendRowActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_SHEETS
          description: The type of the service
        action:
          type: string
          enum:
            - SPREADSHEETS_APPEND_ROW
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleSheetsSpreadsheetsAppendRowActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The SPREADSHEETS_APPEND_ROW service
    GoogleSheetsWorksheetsListActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_SHEETS
          description: The type of the service
        action:
          type: string
          enum:
            - WORKSHEETS_LIST
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleSheetsWorksheetsListActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The WORKSHEETS_LIST service
    GoogleDriveOnNewFileActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - ON_NEW_FILE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveOnNewFileActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The ON_NEW_FILE service
    GoogleDriveFilesSearchActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_SEARCH
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesSearchActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_SEARCH service
    GoogleDriveFilesGetActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_GET
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: '#/components/schemas/GoogleDriveFilesGetActionServiceInputSchema'
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_GET service
    GoogleDriveFilesUploadActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_UPLOAD
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesUploadActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_UPLOAD service
    GoogleDriveFilesDownloadActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_DOWNLOAD
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesDownloadActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_DOWNLOAD service
    GoogleDriveFilesMoveActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_MOVE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesMoveActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_MOVE service
    GoogleDriveFilesCopyActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_COPY
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesCopyActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_COPY service
    GoogleDriveFilesUpdateActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_UPDATE
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
          description: List of dynamic fields definitions
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/GoogleDriveFilesUpdateActionServiceInputSchema
            - type: string
              description: The input string template
        connection_id:
          type: string
          description: ID of the connection integration
      required:
        - type
        - action
        - input
      description: The FILES_UPDATE service
    GoogleDriveFilesTrashActionServiceSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - GOOGLE_DRIVE
          description: The type of the service
        action:
          type: string
          enum:
            - FILES_TRASH
        definitions:
          type: array
          items:
            $ref: '#/components/schemas/DynamicFieldsInputDefinition'
[...]
